Bug 306441 - xorg garbled while booting
xorg garbled while booting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 02:15 EDT by mail@romal.de
Modified: 2007-12-10 15:44 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.0.0-36.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 15:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (41.60 KB, text/plain)
2007-09-26 02:15 EDT, mail@romal.de
no flags Details
xorg conf (810 bytes, text/plain)
2007-09-26 02:16 EDT, mail@romal.de
no flags Details

  None (edit)
Description mail@romal.de 2007-09-26 02:15:18 EDT
Description of problem:

xorg runs in 640*350 while installing and booting, after logging in the
resolution is reset to 1280*1024

While booting and installation all dialogs (and GDM) are totaly messed up due to
the low resolution.

Version-Release number of selected component (if applicable):

f8test2 64 Bit DVD for installation and Devel updated to 2007-09-5

How reproducible:

Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Strange thing is, that the driver see the supported resolutions from the display:

(II) intel(0): Supported Future Video Modes:
(II) intel(0): #2: hsize: 1024  vsize 768  refresh: 72  vid: 19553
(II) intel(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897

The display is connected via dvi. When connecting via VGA this does not happen.
Comment 1 mail@romal.de 2007-09-26 02:15:18 EDT
Created attachment 206441 [details]
Xorg log
Comment 2 mail@romal.de 2007-09-26 02:16:12 EDT
Created attachment 206451 [details]
xorg conf
Comment 3 Dave Airlie 2007-09-26 02:47:10 EDT
Wow your monitor appears to give out bad EDID info it claims a 640x350 mode 

First detailed timing is preferred mode
(II) intel(0): clock: 25.2 MHz   Image Size:  376 x 301 mm
(II) intel(0): h_active: 640  h_sync: 688  h_sync_end 784 h_blank_end 800
h_border: 0
(II) intel(0): v_active: 350  v_sync: 350  v_sync_end 352 v_blanking: 449
v_border: 0

ouch... I wonder can we add some sort of EDID quirk to the server for this
monitor...
Comment 4 mail@romal.de 2007-09-26 02:58:37 EDT
Whops.

And he actually does work whith this :-O Question is, should we use this mode :-)

Or simply cut everything below 640*480 ? I don´t think there are displays or
graphics cards that can`t display standard VGA ?
Comment 5 Dave Airlie 2007-09-26 03:27:58 EDT
we have an edid quirk for this brand of monitor already.. I'll try and fix it
and let you know ...
Comment 6 mail@romal.de 2007-10-09 02:38:54 EDT
Has the fix landed in devel already ?
Comment 7 Dave Airlie 2007-11-30 00:51:10 EST
I've pushed an update into F8 updates-testing, also the next time devel rebases
from upstream the fix will appear there as well..

xorg-x11-server-1.3.0.0-36.fc8 will be the updates-testing rpm when it arrives.
Comment 8 mail@romal.de 2007-12-01 05:44:40 EST
I pulled it from koji and it works like a charm :-)

Thank you very much.
Comment 9 Fedora Update System 2007-12-03 06:48:17 EST
xorg-x11-server-1.3.0.0-36.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'
Comment 10 Fedora Update System 2007-12-10 15:44:10 EST
xorg-x11-server-1.3.0.0-36.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.